@echo off 

:: Capturar o usuario logado automaticamente
echo. Colhendo usuario e inserindo senha 123.
set USERNAME=%USERNAME%
set PASSWORD=123
echo.
echo.

:: Adiciona ou modifica as chaves do Registro para logon automático
echo. Inserindo informacoes nos registros...
reg add "HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon" /v DefaultUserName /t REG_SZ /d %USERNAME% /f
reg add "HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon" /v DefaultPassword /t REG_SZ /d %PASSWORD% /f
reg add "HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon" /v AutoAdminLogon /t REG_SZ /d 1 /f
echo.
echo.

:: Concluído
echo Logon automatico do Windows configurado com sucesso.
echo.
echo.
pause